import './widgets/OtherColumn.dart';
import './widgets/UserAddress.dart';
import './widgets/UserInfo.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class MainPage extends StatefulWidget {
  const MainPage({Key? key}) : super(key: key);

  @override
  State<MainPage> createState() => _MainPageState();
}

class _MainPageState extends State<MainPage> {
  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      child: ListView(
        children: [
          Column(
            children: [
              UserInfo(), //头部，头像手机号姓名
              UserAddress(), //用户地址
              OtherColumn(), //功能菜单栏
              Container(
                height: 70.h,
                margin: EdgeInsets.only(top: 0, bottom: 40.0),
                alignment: Alignment.bottomCenter,
                decoration: BoxDecoration(
                  boxShadow: [
                    BoxShadow(
                      blurRadius: 10, //阴影范围
                      spreadRadius: 0.1, //阴影浓度
                      color: Colors.grey.withOpacity(0.2), //阴影颜色
                    ),
                  ],
                ),
                child: SizedBox(
                  width: 315.w,
                  height: 49.h,
                  child: ElevatedButton(
                    onPressed: () {
                      // _handelSubmit();
                      print('用户点击了支付啊阿松大撒地方');
                    },
                    child: const Text(
                      "退出登陆",
                      style: TextStyle(
                          fontSize: 18,
                          color: Colors.black,
                          fontWeight: FontWeight.bold),
                    ),
                    style: ButtonStyle(
                      elevation: MaterialStateProperty.all(0),
                      backgroundColor:
                          MaterialStateProperty.all(const Color(0xFFFFFFFF)),
                      shape: MaterialStateProperty.all(
                          const RoundedRectangleBorder(
                              borderRadius:
                                  BorderRadius.all(Radius.circular(24.4)))),
                    ),
                  ),
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
